/*++Strings.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * Strings: ICalendar string constants, inducers, terminators, etc..
 *
 * @author slh
 * @version 0.00 2001/11/20 slh
 */
abstract public
class  Strings
{

/*----------------------------------------------------------------------------
 *						Class Public Constants
 *--------------------------------------------------------------------------*/

  final static public  String	strBegin		= "BEGIN";
  final static public  String	strEnd			= "END";

  final static public  String	strValueInducer		= ":";
  final static public  String	strParamInducer		= ";";
  final static public  String	strParamValueInducer	= "=";
  final static public  String	strLineTerm		= "\r\n";

  final static public  String	strDelimiters		=
	strValueInducer + strParamInducer + strParamValueInducer +
	strLineTerm;

}


/* Log:
 *  0.00  2001/11/20  slh
 *        create
 */
/*--Strings.java------------------------------------------------------------*/
