// java

package uwcal.out.forms;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;

import uwcal.out.Page;

/**
  A form to add a sponsor
  @author Greg Barnes
  @version 1.0
 */
public class AddSponsorForm extends SponsorForm 
{
  /** Create a new instance
    @param page Page this form is a part of
   */
  public AddSponsorForm(Page page) 
  {
    super(page, null);
  }

  protected String formFunction() {
      return CalParameter.ADDSPONSOR_FUNC;
  }

  protected String titleText() {
      return FormsDisplayText.ADD_SPONSOR_TITLE;
  }

  protected String submitButtonText() {
        return FormsDisplayText.ADD_SPONSOR;
  }
}
