//java

package edu.washington.cac.calendar.data;

import edu.washington.cac.calendar.CalLogFactory;

/** Utilities for PPEntities
   @author Greg Barnes
   @version 1.2
 */
public class PPEntityUtil
{
  /** @return Can a user edit a PPEntity?
    @param user User in question
    @param ppe Entity in question
   */
  public static boolean canEdit(User user, PPEntity ppe) 
  {
    return ppe.getCreator().getNameDB().equals(user.getNameDB()) &&
           !(ppe.isPublic() && ppe instanceof Event);
  }
}
